var utamainfo=(function(){
	var dataid=[];
	var datagambar=[];
	var datakategori=[];
	var datajudul=[];
	var datatanggal=[];
	var waktuload=5000;
	var timeloader=null;
	var posisi=0;
	return{
		init:function(a){
			posisi=1;
			dataid=a['dataid'];
			datagambar=a['datagambar'];
			datakategori=a['datakategori'];
			datajudul=a['datajudul'];
			datatanggal=a['datatanggal'];
			
			document.getElementById("utama_judul_"+dataid[0]).className="box_utama_judul box_utama_bgaktif";
			document.getElementById("box_utama_nomor_bg1_"+dataid[0]).className="box_utama_nomor_bg1 box_utama_bghitam";
			document.getElementById("box_utama_nomor_bg2_"+dataid[0]).className="box_utama_nomor_bg2 box_utama_bghitam";
			document.getElementById("box_utama_datanomor_"+dataid[0]).className="box_utama_datanomor box_utama_datanomor_aktif";
			
			
			var htm="<img onload=\"utamainfo.anim();\" class=\"utama_konten_img_show\" id=\"utama_gambar_gambar_"+dataid[0]+"\" src=\""+datagambar[0]+"\" />";
			$("#box_utama_konten_img").html(htm);
			$("#utama_konten_kategori").html(datakategori[0]);
			
			var htmtgl="<div class='utama_konten_img_judul_tanggal'>"+datatanggal[0]+"</div>";
			htmtgl+="<a href='"+lokal+"informasi?id="+dataid[0]+"'><div class='utama_konten_img_judul_judul'>"+datajudul[0]+"</div></a>";
			$("#box_utama_konten_img_judul").html(htmtgl);
		},
		anim:function(){
			if(posisi>=dataid.length) posisi=0;
			console.log(posisi+" "+dataid.length);
			timeloader=setTimeout(function(){
				for(var i=0;i<dataid.length;i++){
					document.getElementById("utama_judul_"+dataid[i]).className="box_utama_judul";
					document.getElementById("box_utama_nomor_bg1_"+dataid[i]).className="box_utama_nomor_bg1";
					document.getElementById("box_utama_nomor_bg2_"+dataid[i]).className="box_utama_nomor_bg2";
					document.getElementById("box_utama_datanomor_"+dataid[i]).className="box_utama_datanomor";
				}
				
				if(posisi>0){
					document.getElementById("utama_gambar_gambar_"+dataid[posisi-1]).className="utama_konten_img_hide";
				}else{
					document.getElementById("utama_gambar_gambar_"+dataid[dataid.length-1]).className="utama_konten_img_hide";
				}
				
				document.getElementById("utama_judul_"+dataid[posisi]).className="box_utama_judul box_utama_bgaktif";
				document.getElementById("box_utama_nomor_bg1_"+dataid[posisi]).className="box_utama_nomor_bg1 box_utama_bghitam";
				document.getElementById("box_utama_nomor_bg2_"+dataid[posisi]).className="box_utama_nomor_bg2 box_utama_bghitam";
				document.getElementById("box_utama_datanomor_"+dataid[posisi]).className="box_utama_datanomor box_utama_datanomor_aktif";
				
				var htm="<img onload=\"utamainfo.anim();\" class=\"utama_konten_img_show\" id=\"utama_gambar_gambar_"+dataid[posisi]+"\" src=\""+datagambar[posisi]+"\" />";
				$("#box_utama_konten_img").html(htm);
				$("#utama_konten_kategori").html(datakategori[posisi]);
				
				var htmtgl="<div class='utama_konten_img_judul_tanggal'>"+datatanggal[posisi]+"</div>";
				htmtgl+="<a href='"+lokal+"informasi?id="+dataid[posisi]+"'><div class='utama_konten_img_judul_judul'>"+datajudul[posisi]+"</div></a>";
				$("#box_utama_konten_img_judul").html(htmtgl);
				
				posisi=posisi+1;
			
			},waktuload);
		}
	};
})();
